Package tigase.util

## Enum StringUtilities.JUSTIFY

- java.lang.Object
- - java.lang.Enum<StringUtilities.JUSTIFY>
  - - tigase.util.StringUtilities.JUSTIFY

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StringUtilities.JUSTIFY>`
  Enclosing class:
    StringUtilities

      public static enum StringUtilities.JUSTIFY
      extends java.lang.Enum<StringUtilities.JUSTIFY>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CENTRE` |
    `LEFT` |
    `RIGHT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StringUtilities.JUSTIFY` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StringUtilities.JUSTIFY[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final StringUtilities.JUSTIFY LEFT

    - #### CENTRE

          public static final StringUtilities.JUSTIFY CENTRE

    - #### RIGHT

          public static final StringUtilities.JUSTIFY RIGHT

  - ### Method Detail

    - #### values

          public static StringUtilities.JUSTIFY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StringUtilities.JUSTIFY c : StringUtilities.JUSTIFY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StringUtilities.JUSTIFY valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null